Hooks
Get Hook
Retrieve details for a specific hook
GET
/
lending-stocks
/
api
/
hooks
/
{marketId}
/
{hookId}
curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"id": "hook_001",
"marketId": "clx_market_001",
"hookType": "monitorRisk",
"name": "External Risk Feed",
"riskUri": "https://risk.example.com/api/score",
"riskFields": [
{ "path": "score", "operator": "<", "threshold": 50 }
],
"checkFrequency": "5m",
"active": true,
"lastResult": true,
"executionCount": 142,
"lastExecutedAt": "2025-06-15T11:55:00.000Z"
}
}
Path Parameters
string
required
Market ID.
string
required
Hook ID.
curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"id": "hook_001",
"marketId": "clx_market_001",
"hookType": "monitorRisk",
"name": "External Risk Feed",
"riskUri": "https://risk.example.com/api/score",
"riskFields": [
{ "path": "score", "operator": "<", "threshold": 50 }
],
"checkFrequency": "5m",
"active": true,
"lastResult": true,
"executionCount": 142,
"lastExecutedAt": "2025-06-15T11:55:00.000Z"
}
}
⌘I
curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"id": "hook_001",
"marketId": "clx_market_001",
"hookType": "monitorRisk",
"name": "External Risk Feed",
"riskUri": "https://risk.example.com/api/score",
"riskFields": [
{ "path": "score", "operator": "<", "threshold": 50 }
],
"checkFrequency": "5m",
"active": true,
"lastResult": true,
"executionCount": 142,
"lastExecutedAt": "2025-06-15T11:55:00.000Z"
}
}
